Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.pipe.joiner
Class InnerJoin

    java.lang.Object
      cascading.pipe.joiner.InnerJoin

All Implemented Interfaces:
  Joiner, Serializable

    public class InnerJoin

extends Object
implements Joiner

Class InnerJoin will return an `InnerJoin.JoinIterator` that will iterate over a given `Joiner` and return tuples that represent and inner join of the CoGrouper internal grouped tuple collections.

Joins perform based on the equality of the join keys. In the case of null values, Java treats two null values as equivalent. SQL does not treat null values as equal. To produce SQL like results in a given join, a new `Comparator` will need to be used on the joined values to prevent null from equaling null. As a convenience, see the `NullNotEquivalentComparator` class.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `InnerJoin.JoinIterator`

Constructor Summary
`InnerJoin()`

Method Summary
`Iterator<Tuple>` | `getIterator(JoinerClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
`int` | `numJoins()` Returns the number of joins this instance can handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InnerJoin

    public InnerJoin()

Method Detail

### getIterator

    public Iterator<Tuple> getIterator(JoinerClosure closure)

  Description copied from interface: `Joiner`
  Returns an iterator that joins the given CoGroupClosure co-groups.

  Specified by:
    `getIterator` in interface `Joiner`
  Parameters:
    `closure` - of type GroupClosure
  Returns:
    an iterator

### numJoins

    public int numJoins()

  Description copied from interface: `Joiner`
  Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.

  Specified by:
    `numJoins` in interface `Joiner`
  Returns:
    an int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.